TIFFFIELDDATATYPE(3tiff)

NAME
TIFFFieldDataType - get TIFF data type from field information

SYNOPSIS

            #include <tiffio.h>

    TIFFDataType TIFFFieldDataType(const TIFFField *fip)

DESCRIPTION

TIFFFieldDataType() returns the data type stored in a TIFF field. fip is a field information pointer previously returned by TIFFFindField() <#c.TIFFFindField>, TIFFFieldWithTag() <#c.TIFFFieldWithTag>, or TIFFFieldWithName() <#c.TIFFFieldWithName>.

RETURN VALUES

TIFFFieldDataType() returns a member of the enum type TIFFDataType.

SEE ALSO

TIFFFieldName <> (3tiff), TIFFFieldPassCount <> (3tiff), TIFFFieldQuery <> (3tiff), TIFFFieldReadCount <> (3tiff), TIFFFieldTag <> (3tiff), TIFFFieldWriteCount <> (3tiff), libtiff <> (3tiff)

Author
LibTIFF contributors

Copyright
1988-2025, LibTIFF contributors